@echo off
setlocal enabledelayedexpansion 

call vars.bat

set TEMPLATE=%1
set "TEMPLATE=!TEMPLATE:%%=%%%%!"

REM         
set tempfile=%KEY_DIR%\list_tmp
if exist %tempfile% (del %tempfile%)

if exist %KEY_DIR%.previous (
	for %%f in (%KEY_DIR%.previous\*.crt) do (
		if not exist %KEY_DIR%\%%~nxf (
			call getcertenddate.bat %%~nf "%%%%Y-%%%%m-%%%%d %%%%o" >> %tempfile%
		)
	)
)

for %%f in (%KEY_DIR%\*.crt) do (
	set filename=%%~nf
	if not "!filename!"=="single-ca" if not "!filename!"=="cross-ca" if not "!filename!"=="ca" (
		call getcertenddate.bat !filename! "%%%%Y-%%%%m-%%%%d %%%%o" >> %tempfile%
	)
)

REM     
sort "%tempfile%" > "%tempfile%.sorted"

REM     
echo:
call getcertenddate.bat ca !TEMPLATE!
echo:  

REM          
for /f "tokens=1,* delims= " %%a in ('type "%tempfile%.sorted"') do (
	call getcertenddate.bat %%b !TEMPLATE!
)

REM   
del "%tempfile%"
del "%tempfile%.sorted"

endlocal